/// class ProspectDirector.Web.UI.Controls.ToolBar
/// using ProspectDirector.Web.UI.Controls.Control

/**
@class ToolBar
@namespace Web.UI.Controls
@constructor
**/
ProspectDirector.Web.UI.Controls.ToolBar = ProspectDirector.Web.UI.Controls.Control.extend({

    //===================================
    // FIELDS
    //===================================

    _items: null,

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {
        this._super(options);
        this._items = new ProspectDirector.Web.List(options.items);
        this.render();
    },

    //===================================
    // PROPERTIES
    //===================================

    get_items: function () {
        return this._items;
    },

    //===================================
    // PUBLIC METHODS
    //===================================

    clear: function () {

        this.get_items().clear();
        this.get_container().empty();

    },

    render: function (content) {

        var that = this;

        this._super(content);

        this.get_items().each(function (index, data) {

            var item = ProspectDirector.Web.UI.Controls.ToolBarButtonFactory.CreateButton(data);

            that.get_container().append(item.render());

        });

    }

});